Cannot paste screenshots in description field
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Copy an image (the image itself, not the file)
  2. Paste in the Description field

Expected behavior

The image is uploaded to the server and added to the description

Actual behavior

Popup: 'Uploading "undefined" (xx% of yy kB)'
Popup: 'Upload Failure'

In the background, the following URL is POSTed to:

http://fab.wmflabs.org/file/dropupload/?name=undefined&__upload__=1&__ajax__=true&__metablock__=41

but this returns an HTTP/500 Internal Server Error

Details

Reference
fl564
flimport raised the priority of this task from to Needs Triage.
flimport set Reference to fl564.

aklapper wrote on 2014-08-28 14:39:40 (UTC)

CC'ing @mmodell - wondering if this is another speciality of our busted Labs instance or some tweaking of token code that would also create an issue on a Production instance.

Confirming the problem. Same generic "Upload Failure" displayed in browser popup. I cannot drag (file from Nautilus file manager) and drop (to Phabricator comments area in Firefox and Chrome) either.

Wireshark says

Accessing the POST URL says ""AphrontCSRFException","info":"You are trying to save some data to Phabricator, but the request your browser made included an incorrect token. Reload the page and try again. You may need to clear your cookies.\n\nThis was an Ajax request.\nThis request had no CSRF token.""

mmodell wrote on 2014-09-03 16:23:07 (UTC)

This seems like a legit bug in upstream ... or a configuration bug. perhaps we need to recompile the phabricator client side resources / expunge the js cache?

mmodell wrote on 2014-09-03 16:30:57 (UTC)

ok it works now

mmodell wrote on 2014-09-03 16:32:03 (UTC)

there was a merge conflict that got resolved incorrectly in src/applications/files/controller/PhabricatorFileDropUploadController.php ... I did a bit of cowboy coding and cleaned it up

aklapper wrote on 2014-09-03 18:08:48 (UTC)

Confirming it works now. Perfect. Thank you, Mukunda!

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:46 AM
flimport assigned this task to mmodell.Oct 1 2014, 10:37 PM
flimport added a subscriber: mmodell.
flimport added a subscriber: Qgil.Oct 2 2014, 9:49 PM